drawable.list {Rgb} | R Documentation

## Drawable list constructor

### Description

Produces a `drawable.list` object, for `tk.browse` and `browsePlot` input.

### Usage

      drawable.list(files = character(0), objects = NULL, hidden = FALSE, warn = TRUE)

### Arguments

`files` | Character vector, path and names of the files holding the drawables object (with .rdt or .rds extensions, see `saveRDT` and `saveRDS` for further details). Can contain `NA` values, but providing a path allows updates to be saved.
`objects` | List of `drawable`-inheriting objects to include in the list. If `NULL`, objects will be extracted from `files`, else a list with as many elements as `files` is required.
`hidden` | Logical vector, whether to show tracks in `tk.browse` and `browsePlot` or not (this choice is not definitive). Recycled if necessary.
`warn` | Single logical value, to be passed to the appropriate `check` method.

### Value

A `drawable.list` object.

### Author(s)

Sylvain Mareschal

### See Also

`drawable.list-class`, `drawable-class`, `tk.browse`, `browsePlot`

[Package Rgb version 1.6.1 Index]